require "rails_autobots/engine"
require "rails_autobots/rewrite_ruleset"

module RailsAutobots
  def self.redis=(r)
    @redis = r
  end

  def self.redis
    @redis
  end

  def self.apply_rewrite_rules_on(markup)
    @ruleset.rewrite(markup)
  end

  def self.rewrite_environment_for(environment_name, &block)
    @ruleset ||= RailsAutobots::RewriteRuleset.new
    @ruleset.add(environment_name, block)
  end
end
