class RailsAutobots::EnvironmentRewriter
  def initialize(environment_name, rewrite_function)
    @environment_name, @rewrite_function = environment_name, rewrite_function
  end

  def process(environment_name, environment)
    if @environment_name == environment_name
      @rewrite_function.call(environment)
    end
  end
end
